Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/1015/?format=api
{ "ob_id": 1015, "uuid": "5a76a75b6d9ab25046fa7827e7ef981f", "title": "Flood Risk for Extreme Events (FREE): Wind profiler measurements from UK stations (June 2007-June 2009)", "abstract": "The Exploitation of new data sources, data assimilation and ensemble techniques for storm and flood forecasting Project is a NERC Flood Risk for Extreme Events (FREE) Research Programme project (Round 1 - NE/E002137/1 - Duration January 2007 - April 2010) led by Prof AJ Illingworth, University of Reading. This project investigates possible methods of producing ensemble weather forecasts at high-resolution. These ensembles will be used with raingauge and river flow to improve methods of flood forecasting. The dataset includes radiosonde and wind profiles in England and Wales derived using Doppler radar returns from insects. The radial velocity measurements from insects were converted into VAD profiles by fitting a sinusoid to radial velocities at constant range. All measured profiles have been interpolated to the instrument location. \r\n\r\nThis dataset contains wind profiler measurements.", "keywords": "FREE, Wind Profiles", "publicationState": "published", "dataPublishedTime": "2010-09-22T19:31:44", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/1016/?format=api", "dataPath": "/badc/free/data/NE-E002137-1_flood_forecasting/wind_profiler", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2882047, "numberOfFiles": 27, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/273/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/770/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57314/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57317/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89155/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89156/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89157/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89158/?format=api" ], "dataLineage": "Data were collected using Doppler radar in England and Wales. All measured profiles have been interpolated to the instrument location.\r\nData and metadata files were supplied as is by the Department of Meteorology, University of Reading in 2010, to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/730/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/997/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/994/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3240/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3244/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3239/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3241/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3242/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3243/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3246/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3238/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3245/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/1026/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }